/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordParagraphFormat.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordParagraphFormat::CWordParagraphFormat()
{
	TRACINGMETHOD;
}

CWordParagraphFormat::~CWordParagraphFormat()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordParagraphFormat::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Duplicate(_ParagraphFormat** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Alignment(WdParagraphAlignment* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_Alignment(WdParagraphAlignment prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_KeepTogether(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_KeepTogether(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_KeepWithNext(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_KeepWithNext(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_PageBreakBefore(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_PageBreakBefore(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_NoLineNumber(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_NoLineNumber(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_RightIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_RightIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_LeftIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_LeftIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_FirstLineIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_FirstLineIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_LineSpacing(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_LineSpacing(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_LineSpacingRule(WdLineSpacing* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_LineSpacingRule(WdLineSpacing prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_SpaceBefore(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_SpaceBefore(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_SpaceAfter(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_SpaceAfter(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Hyphenation(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_Hyphenation(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_WidowControl(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_WidowControl(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_FarEastLineBreakControl(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_FarEastLineBreakControl(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_WordWrap(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_WordWrap(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_HangingPunctuation(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_HangingPunctuation(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_HalfWidthPunctuationOnTopOfLine(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_HalfWidthPunctuationOnTopOfLine(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_AddSpaceBetweenFarEastAndAlpha(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_AddSpaceBetweenFarEastAndAlpha(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_AddSpaceBetweenFarEastAndDigit(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_AddSpaceBetweenFarEastAndDigit(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_BaseLineAlignment(WdBaselineAlignment* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_BaseLineAlignment(WdBaselineAlignment prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_AutoAdjustRightIndent(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_AutoAdjustRightIndent(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_DisableLineHeightGrid(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_DisableLineHeightGrid(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_TabStops(TabStops** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_TabStops(TabStops* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_OutlineLevel(WdOutlineLevel prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_OutlineLevel(WdOutlineLevel* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::CloseUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::OpenUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::OpenOrCloseUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::TabHangingIndent(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::TabIndent(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::Reset()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::Space1()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::Space15()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::Space2()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::IndentCharWidth(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::IndentFirstLineCharWidth(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_CharacterUnitRightIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_CharacterUnitRightIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_CharacterUnitLeftIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_CharacterUnitLeftIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_CharacterUnitFirstLineIndent(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_CharacterUnitFirstLineIndent(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_LineUnitBefore(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_LineUnitBefore(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_LineUnitAfter(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_LineUnitAfter(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_ReadingOrder(WdReadingOrder* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_ReadingOrder(WdReadingOrder prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_SpaceBeforeAuto(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_SpaceBeforeAuto(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::get_SpaceAfterAuto(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraphFormat::put_SpaceAfterAuto(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}